﻿@model  SearchResultViewModel
@{
    ViewData["Title"] = "SearchResults";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<br />
<br />
<br />
<h1>Search Results</h1>

<table class="table table-hover">
    <thead>
        <tr>
                <th>

                </th>
                <th>
                    Title
                </th>
                <th>
                    Author Name
                </th>
                <th>
                    Pages
                </th>
                <th>
                    Year
                </th>
                <th>
                    Country
                </th>
                <th>
                    Language
                </th>
                <th>
                    ISBN
                </th>
                <th>
                    Category
                </th>
                <th></th>
            </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Books)
        {
            <tr>
                <td>
                    <img src="@Html.DisplayFor(modelItem => item.ImageURL)" height="40" />
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Title)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.AuthorName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Pages)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Year)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Country)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Language)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.ISBN)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Category)
                </td>
                <td>

                    <a asp-controller="Books" asp-action="Details" asp-route-id="@item.Id" class="btn btn-primary">Details</a>

                </td>
            </tr>
        }
    </tbody>
</table>
<a asp-controller="Search" asp-action="Index" class="btn btn-primary">&#8678 Go Back</a>
